WinSnap Users Manual

Introduction

Windows Snapshot Maker (shortly WinSnap) is a small enhancement utility for taking and editing screenshots. It automates all manual work and handle technical issues that previously you might perform only with Photoshop or other image editors. Initially, WinSnap was designed simply to take snapshots of non-rectangular windows, such as windows with XP visual styles, skinned media players, etc. Now it is supplemented with professional smoothing shadows, coloring effects, canvas transformations, ability to automatically save images in various image formats and more. WinSnap can help you easily make small thumbnail previews and full-sized screenshots for your web blog and home page, visualize technical and educational materials, send reduced-size images through e-mail. You will perform professional screenshots immediatelly with one click!

Main Features

  • Flexible screen capture capabilities
    WinSnap can capture full screen and screen regions of various forms, separate windows and all visible windows of entire application. WinSnap easily captures non-rectangular and transparent windows. All void space between separate windows, non-rectangular window forms and regions is automatically filled with the background of your choice.
  • Professional shadow effects and powerful image processing
    WinSnap provides Photoshop-like shadow effects with customizable size, angle, color, smoothing and other settings. The main difference from Photoshop and all other image editing programs is that WinSnap stores the information about window form and draws realistic non-rectangular shadows. It is considerable, when you are taking snapshots of windows with XP visual styles and skinned windows (e.g. media players). In addition, WinSnap supports outline shadows and basic image coloring effects.
  • Basic canvas transformations
    WinSnap can automatically rotate and scale images with the highest possible quality. In combination with other effects, it allows you to quickly create high-end thumbnail previews of full-sized screenshots.
  • Easy Web publishing and E-Mail sending
    WinSnap was especially developed for the Web publishing, HTML-style color themes allow you to easily adapt taken snapshots to your web pages. Also WinSnap allows you to quickly send your screen data through e-mail to demonstrate a particular problem with a program that you might be having.
  • Advanced save and copy options
    If multiple snapshots are taken, WinSnap can automatically save images on disk. The filename will be automatically incremented to prevent you from overwriting previous snapshots. Of course, WinSnap supports all popular image formats such as JPEG, PNG, TIFF, GIF and BMP.
  • Usual keyboard and mouse control
    By analogy with TaskSwitchXP, WinSnap is a PrintScreen replacement software. By default, WinSnap replaces standard PrintScreen key combinations and can wait them in the hidden state so that you will not see any signs of WinSnap on the screen. Of course, all hotkeys are fully configurable, and it is also possible to do all work with the mouse if you prefer that.
  • Multilingual user interface
    WinSnap supports language extensions (Unicode based). If you would like to localize WinSnap to your native language, see instructions at WinSnap\lang\ subfolder. Then you can submit your translation at NTWind forums.
  • Small and fast for an image editor
    WinSnap takes really a little of system resources for an image editing program. Now you should not worry about system performance while taking and editing screenshot images. It is smaller than Paint!
  • It is completely FREE for personal use!
    Do not worry about your money (if you can so), this program is completely free for personal, educational and non-commercial use. However if you are satisfied with it, you can make a monetary donation to express your appreciation to the author.

System requirements

WinSnap was especially developed for Microsoft Windows 2000/XP and newer operating systems. All older versions of Windows are not supported! If you are running Windows 2000, you need GDI+ installed to use WinSnap. GDI+ is included to Windows XP and to the most Microsoft products (such as MS Office). You can download GDI+ from Microsoft Download Center.

Copyright © 2006 NTWind Software. All rights reserved.


WinSnap Shortcuts

System-wide Hot Keys (defaults)

These shortcut keys are system oriented, they should work in all applications even if WinSnap window is inactive or hidden. You can always reassign these hotkeys to the way of your choice in the Settings.

Print Screen Replacement

Hot Key | Description
Print Screen | Make snapshot of the entire screen.
Alt + Print Screen | Make snapshot of the active application including all visible windows of it.
Ctrl + Print Screen | Make snapshot of the active window.
Ctrl + Shift + Print Screen | Make snapshot of the client area (active window without caption and border).
Win + Ctrl + Print Screen | Make snapshot of the popup menu.
Ctrl + Alt + Print Screen | Start region selection mode.

WinSnap Accelerator Keys

These shortcut keys will work only when WinSnap is active.

Main Window Accelerator Keys

Shortcut Key | Description
Ctrl + N | Create new snapshot image.
Ctrl + O | Open an existing image.
Ctrl + S | Save taken snapshot with a specified file name.
Ctrl + C, Ctrl + Insert | Copy current snapshot to the clipboard.
Ctrl + V, Shift + Insert | Paste image from the clipboard.
Ctrl + P | Print image.
Delete | Remove current snapshot.
Esc | Minimize to the system tray.
Ctrl + 1 | Make snapshot of the entire screen.
Ctrl + 2 | Make snapshot of the active application including all visible windows of it.
Ctrl + 3 | Make snapshot of the active window.
Ctrl + 4 | Make snapshot of the client area (active window without caption and border).
Ctrl + 5 | Make snapshot of the popup menu.
Ctrl + 6 | Start region selection mode.
Ctrl + F2 | Open WinSnap preferences dialog.

Screen Region Selection

Shortcut Key | Description
F1 | Show/hide helper window with magnifier.
Arrow Keys | Move mouse pointer by one pixel.
Ctrl + Arrow Keys | Fast move mouse pointer by 10 pixels.
Shift + Arrow Keys | If the start point of a region is selected, move current region.
Enter, Space, Left-button | Accept current position.
Backspace, Delete | Abort current selection.
Esc | Cancel region selection mode.


History of WinSnap

Version 1.1.6 (August 24, 2006)

  • New option to include mouse cursor.
  • New option to keep WinSnap minimized in auto-save mode.
  • New option to clear image on minimize (to safe memory).
  • Added ability to capture XP Start Menu in 'Menu' mode.
  • Escape minimizes the main window.
  • New command line parameters were added.
  • Minimize/restore animation now depend on system settings.
  • Some default program settings were changed.
  • Some issues with wide-screens were fixed.
  • Many other small bugfixes and improvements.
  • Status 'beta' was removed - it is first mature release!

Version 1.1 beta 5 (July 9, 2006)

  • Multilingual user interface.
  • Added resizing of the main window.
  • Option "Close to tray".
  • Check for on-line upadates now works.
  • New capture mode for popup menus.
  • Auto-save and auto-copy features now work.
  • Simple printing mechanism.
  • Some cosmetical changes, design, and more.
  • Fixed some bugs with PrintScreen hotkeys.
  • Many other small bugfixes and improvements.

Version 1.1 beta 4 (January 9, 2006)

  • First public release!!!

Versions 1.0x - 1.1 alpha 3 (since May 28, 2005)

  • Nightly builds for testers only.


Contact Information

Feedback

The best way to communicate with me is to get an account at NTWind Forums. In general I cannot provide advanced technical support, but I will try to help you when I have free time. Also be sure to read the documentation and FAQ before posting.

To contact me personally use e-mail: alexander@ntwind.com
(please use reasonable subjects and do not forget to include program name)

Bug Reports

Before submitting a bug, please verify that there are no open bugs with the same report. Also, please check the latest changelog to see if the bug may have been fixed recently.

Please include the following in the report:

  1. Version of the program and OS you are using.
  2. Error message you get if any.
  3. A script that reproduces this bug if acceptable.
  4. A screenshot if something is wrong with the user interface.

Feature Requests

To submit an idea or suggestion for my products, use certain forum thread. If you think it will be a useful feature, please give a detailed description of the feature you are requesting and make sure you do not post double requests.

Contact

  • Web site: http://www.ntwind.com/
  • Donation page: http://www.ntwind.com/donate.html
  • Support forums: http://www.ntwind.com/forum/
  • Support email: alexander@ntwind.com


License and Credits

End-User License Agreement

This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and the mentioned author (Alexander Avdonin) of this Software for the software product identified above, which includes computer software and may include associated media, printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT").

By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bounded by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE PRODUCT.

  1. GRANT OF LICENSE. This EULA grants you the following rights:
    • Installation and Use. You may install and use an unlimited number of copies of the SOFTWARE PRODUCT.
    • Reproduction and Distribution. You may reproduce and distribute an unlimited number of copies of the SOFTWARE PRODUCT; provided that each copy shall be a true and complete copy, including all copyright and trademark notices, and shall be accompanied by a copy of this EULA.
    • Copies of the SOFTWARE PRODUCT may be distributed as a standalone product or included with your own product as long as The SOFTWARE PRODUCT is not sold or included in a product or package that intends to receive benefits through the inclusion of the SOFTWARE PRODUCT. The SOFTWARE PRODUCT may be included in any free or non-profit packages or products.
  2. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.
    • Limitations on Reverse Engineering, Decompilation, and Disassembly. You may not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.
    • Separation of Component. The SOFTWARE PRODUCT is licensed as a single product. Its component parts may not be separated for use on more than one computer.
    • Software Transfer. You may permanently transfer all of your rights under this EULA, provided the recipient agrees to the terms of this EULA.
    • Termination. Without prejudice to any other rights, the Author of this Software may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the SOFTWARE PRODUCT and all of its component parts.
  3. COPYRIGHT. All title and copyrights in and to the SOFTWARE PRODUCT (including but not limited to any images, photographs, animations, video, audio, music, text, and "applets" incorporated into the SOFTWARE PRODUCT), the accompanying printed materials, and any copies of the SOFTWARE PRODUCT are owned by the Author of this Software. The SOFTWARE PRODUCT is protected by copyright laws and international treaty provisions. Therefore, you must treat the SOFTWARE PRODUCT like any other copyrighted material.
  4. DISCLAIMER OF WARRANTIES.
    • No Warranties. The Author of this Software expressly disclaims any warranty for the SOFTWARE PRODUCT. The SOFTWARE PRODUCT and any related documentation is provided "AS IS" without warranty of any kind, either express or implied, including, without limitation, the implied warranties or merchantability, fitness for a particular purpose, or noninfringement. The entire risk arising out of use or performance of the SOFTWARE PRODUCT remains with you.
    • No Liability for Damages. In no event shall the author of this Software be liable for any special, consequential, incidental or indirect damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use this product, even if the Author of this Software is aware of the possibility of such damages and known defects.
    • Registration. This Software may be used free of charge only for personal, educational and non-commercial purposes. Visit www.ntwind.com for more information.
  5. All versions of the SOFTWARE PRODUCT are protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The sole property belongs to Alexander Avdonin. The SOFTWARE PRODUCT may not be duplicated, sold, distributed or utilized in any manner not described herein without the prior written consent of Alexander Avdonin.

Credits

Special thanks to FOOOD's Icons for the main program icon!


Contact Information

Register WinSnap

Licensing

WinSnap may be used free of charge only by a non-commercial entity for personal, educational and non-commercial purposes. Please see the License Agreement for further details.

That means you CAN buy the license if you like WinSnap and want to express your appreciation to the author. And you MUST buy it if you want to use WinSnap in any commercial environment.

Pricing

Registration fee depends on the number of users who can install and use licensed version of WinSnap. There are 2 basic types of licenses issued for WinSnap, these are:

  • Personal License
  • Site License

The price list is available at: http://www.ntwind.com/software/winsnap/register.html

All licenses are lifetime with free upgrades to all future versions of WinSnap!

Personal License

One registered copy of WinSnap may either be used by a single person on one or more computers. You must purchase a license for each person who uses WinSnap. The Personal License may not be shared by alternating use of WinSnap between different users.

Site License

The Site License authorizes the use of WinSnap by the purchaser or the purchaser's employees, on a maximum of 100 computers at the same physical SITE location. This SITE location would normally be defined as a single building, but could be considered to be a number of buildings within the same, general, geographical location, such as an industrial estate.


WinSnap Users Manual

Customizing WinSnap

Sorry, this page is not ready yet... Please note this is just a beta version, nor official release. You can report about found bugs and suggest for features in the final release on the related forum threads.

Also look at some WinSnap Art Examples here.